| Flutter Impeller |

Public Member Functions | List of all members
impeller::interop::SurfaceVK Class Referencefinal

`#include <surface_vk.h>`

Inheritance diagram for impeller::interop::SurfaceVK:

## Public Member Functions
| SurfaceVK (Context &context, std::shared_ptr< impeller::Surface > surface)
| ~SurfaceVK ()
| SurfaceVK (const SurfaceVK &)=delete
SurfaceVK & | operator= (const SurfaceVK &)=delete
Public Member Functions inherited from impeller::interop::Surface
| ~Surface () override
| Surface (const Surface &)=delete
Surface & | operator= (const Surface &)=delete
bool | IsValid () const
bool | DrawDisplayList (const DisplayList &dl) const
bool | Present () const
Public Member Functions inherited from impeller::interop::ObjectBase
| ObjectBase ()=default
virtual | ~ObjectBase ()=default
| ObjectBase (const ObjectBase &)=delete
| ObjectBase (ObjectBase &&)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
ObjectBase & | operator= (ObjectBase &&)=delete
void | Retain ()
void | Release ()
uint64_t | GetRefCountForTests () const

## Additional Inherited Members
Public Types inherited from impeller::interop::Object< Surface, IMPELLER_INTERNAL_HANDLE_NAME(ImpellerSurface)>
using | InteropClass = Surface
using | InteropCSibling = IMPELLER_INTERNAL_HANDLE_NAME(ImpellerSurface)
Static Public Member Functions inherited from impeller::interop::ObjectBase
static void | SafeRetain (void *ptr)
static void | SafeRelease (void *ptr)
Protected Member Functions inherited from impeller::interop::Surface
| Surface (Context &context, std::shared_ptr< impeller::Surface > surface)

## Detailed Description

Definition at line 12 of file surface_vk.h.

## Constructor & Destructor Documentation

## ◆ SurfaceVK() [1/2]

impeller::interop::SurfaceVK::SurfaceVK | ( | Context & | context,
|  | std::shared_ptr< impeller::Surface > | surface
| ) |  |

Definition at line 9 of file surface_vk.cc.

11 : Surface(context, std::move(surface)) {}
impeller::interop::Surface::Surface
Surface(const Surface &)=delete

## ◆ ~SurfaceVK()

impeller::interop::SurfaceVK::~SurfaceVK | ( |  | ) |
| default

## ◆ SurfaceVK() [2/2]

impeller::interop::SurfaceVK::SurfaceVK | ( | const SurfaceVK & |  | ) |
| delete

## Member Function Documentation

## ◆ operator=()

SurfaceVK& impeller::interop::SurfaceVK::operator= | ( | const SurfaceVK & |  | ) |
| delete

The documentation for this class was generated from the following files:

- impeller/toolkit/interop/backend/vulkan/surface_vk.h
- impeller/toolkit/interop/backend/vulkan/surface_vk.cc